package com.change.freevpn.models;

import com.google.gson.annotations.SerializedName;

import java.util.List;

public class ServersResponse {
    @SerializedName("success")
    private boolean success;
    
    @SerializedName("data")
    private Data data;

    public boolean isSuccess() {
        return success;
    }

    public Data getData() {
        return data;
    }

    public static class Data {
        @SerializedName("servers")
        private List<VpnServer> servers;
        
        @SerializedName("total")
        private int total;

        public List<VpnServer> getServers() {
            return servers;
        }

        public void setServers(List<VpnServer> servers) {
            this.servers = servers;
        }
        
        public int getTotal() {
            return total;
        }
    }
}
